{*?template charset=utf-8?*}

{* Default object view template *}
{default with_children=true()
         is_editable=true()
	 is_standalone=true()}
{let page_limit=12
     list_count=and($with_children,fetch('content','list_count',hash(parent_node_id,$node.node_id,
              class_filter_type,  'include',
              class_filter_array, array( 'hk_task' ), depth_operator,eq)))}
{default content_object=$node.object
         content_version=$node.contentobject_version_object
         node_name=$node.name}



<table><tr>
<td width="350" valign="top">
<h1>{$node_name|wash}</h1>



{* ////////////////////////////////// LEFT /////////////////////////////////////// *}

<div class="block">
        <label>description</label>
{attribute_view_gui attribute=$node.object.data_map.description}
</div>


{* ////////////////////////////////// TASKS /////////////////////////////////////// *}
<br />
<div class="block">
        <label>tasks</label>
{let name=Child
     children=fetch('content','list',hash(parent_node_id,$node.node_id,
              class_filter_type,  'include',
              class_filter_array, array( 'hk_task' ), sort_by,$node.sort_array,limit,$page_limit,offset,$view_parameters.offset,depth_operator,eq))
     can_remove=false() can_edit=false() can_create=false() can_copy=false()}

{section show=$:children}

<table class="list" width="100%" cellspacing="0" cellpadding="0" border="0">
{section loop=$:children}
<tr>
	<td>
        {node_view_gui view=line content_node=$:item}
	</td>

</tr>
{/section}
</table>

{include name=navigator
         uri='design:navigator/google.tpl'
         page_uri=concat('/content/view','/full/',$node.node_id)
         item_count=$list_count
         view_parameters=$view_parameters
         item_limit=$page_limit}
{/section}
{/let}
</div>

</td>
<td width="10">
</td>
<td width="300"  valign="top">

{* //////////////////////////////////  RIGHT /////////////////////////////////////// *}

<div class="block">

{attribute_view_gui attribute=$node.object.data_map.image alignment=left image_class=medium}

</div>

<div class="block">
        <label>status</label>
{attribute_view_gui attribute=$node.object.data_map.status}
</div>

<div class="block">
        <label>team members</label>
{attribute_view_gui attribute=$node.object.data_map.team}
</div>

<div class="block">
        <label>assets</label>
{let name=Child
     children=fetch('content','list',hash(parent_node_id,$node.node_id,
              class_filter_type,  'include',
              class_filter_array, array( 'hk_asset' ), sort_by,$node.sort_array,
depth_operator,eq))
     can_remove=false() can_edit=false() can_create=false() can_copy=false()}

{section show=$:children}

<table class="list" width="100%" cellspacing="0" cellpadding="0" border="0">
{section loop=$:children}
<tr>
	<td>
        {node_view_gui view=line content_node=$:item}
	</td>

</tr>
{/section}
</table>

{/section}
{/let}

{*include name=navigator
         uri='design:navigator/google.tpl'
         page_uri=concat('/content/view','/full/',$node.node_id)
         item_count=$list_count
         view_parameters=$view_parameters
         item_limit=$page_limit*}

</div>





    {let related_objects=$content_version.related_contentobject_array}

      {section name=ContentObject  loop=$related_objects show=$related_objects  sequence=array(bglight,bgdark)}
        <div class="block">
        {content_view_gui view=text_linked content_object=$Object:ContentObject:item}
        </div>
      {/section}
    {/let}

    {section show=$is_standalone}
    {let content_action_list=$content_object.content_action_list}
        {section name=ContentAction loop=$content_action_list show=$content_action_list}
            <div class="block">
                <input type="submit" name="{$ContentAction:item.action}" value="{$ContentAction:item.name|wash}" />
            </div>
        {/section}
    {/let}
    {/section}

</td>
</tr>
</table>

<div class="buttonblock">
<table><tr>

{section show=$content_object.can_create}
<td>
<form name="fullview" method="post" action={"content/action"|ezurl}>
<input type="hidden" name="TopLevelNode" value="{$content_object.main_node_id}" />
<input type="hidden" name="ContentNodeID" value="{$node.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$content_object.id}" />
<input type="hidden" name="ViewMode" value="full" />
         <input type="hidden" name="NodeID" value="{$node.node_id}" />
         <input type="hidden" name="ClassID" value="33" />
         <input class="button" type="submit" name="NewButton" value="new task" />
</form></td>
<td>
<form name="fullview" method="post" action={"content/action"|ezurl}>
<input type="hidden" name="TopLevelNode" value="{$content_object.main_node_id}" />
<input type="hidden" name="ContentNodeID" value="{$node.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$content_object.id}" />
<input type="hidden" name="ViewMode" value="full" />
         <input type="hidden" name="NodeID" value="{$node.node_id}" />
         <input type="hidden" name="ClassID" value="30" />
         <input class="button" type="submit" name="NewButton" value="new asset" />
</form></td>

{/section}

{section show=$is_editable}
   {switch match=$content_object.can_edit}
   {case match=1}
<td>
<form name="fullview" method="post" action={"content/action"|ezurl}>
<input type="hidden" name="TopLevelNode" value="{$content_object.main_node_id}" />
<input type="hidden" name="ContentNodeID" value="{$node.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$content_object.id}" />
<input type="hidden" name="ViewMode" value="full" />
   <input type="hidden" name="ContentObjectID" value="{$content_object.id}" />
   <input class="defaultbutton" type="submit" name="EditButton" value="edit project" />
</form></td>
   {/case}
   {case match=0}
   {/case}
   {/switch}
{/section}
</table>
</div>


{section show=$is_standalone}
</form>
{/section}

{/default}
{/let}
{/default}
