{*?template charset=utf-8?*}
{* Gallery - Full view *}

<div class="content-view-full">
    <div class="class-gallery">

        <h1>{$node.name|wash()}</h1>

    {section show=$node.data_map.image.content}
        <div class="attribute-image">
            {attribute_view_gui alignment=right image_class=medium attribute=$node.data_map.image.content.data_map.image}
        </div>
    {/section}

        <div class="attribute-short">
           {attribute_view_gui attribute=$node.data_map.short_description}
        </div>

        <div class="attribute-long">
           {attribute_view_gui attribute=$node.data_map.description}
        </div>

        {let page_limit=32
             children=fetch_alias( children, hash( parent_node_id, $node.node_id,
                                                   offset, $view_parameters.offset,
                                                   limit, $page_limit,
                                                   sort_by, $node.sort_array ) )
             list_count=fetch_alias( children_count, hash( parent_node_id, $node.node_id ) )}

        {section show=$children}
            <div class="attribute-link">
                <p>
                <a href={$children[0].url_alias|ezurl}>{'View as slideshow'|i18n( 'design/base' )}</a>
                </p>
            </div>

           <div class="content-view-children">
               <table>
               <tr>
               {section var=child loop=$children sequence=array( bglight, bgdark )}
                   <td valign="top">
                      {node_view_gui view=galleryline content_node=$child}
                   </td>
                   {delimiter modulo=8}
                   </tr>
                   <tr>
                   {/delimiter}
               {/section}
               </tr>
               </table>
           </div>
        {/section}

        {include name=navigator
                 uri='design:navigator/google.tpl'
                 page_uri=concat( '/content/view', '/full/', $node.node_id )
                 item_count=$list_count
                 view_parameters=$view_parameters
                 item_limit=$page_limit}
        {/let}

<div class="buttonblock">
<form name="fullview" method="post" action={"content/action"|ezurl}>
<input type="hidden" name="TopLevelNode" value="{$node.object.main_node_id}" />
<input type="hidden" name="ContentNodeID" value="{$node.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$node.object.id}" />
<input type="hidden" name="ViewMode" value="full" />

{section show=$node.object.can_create}
         <input type="hidden" name="NodeID" value="{$node.node_id}" />
         <input type="hidden" name="ClassID" value="5" />
         <input class="button" type="submit" name="NewButton" value="add image" />
{/section}

{switch match=$node.object.can_edit}
   {case match=1}
   <input type="hidden" name="ContentObjectID" value="{$node.object.id}" />
   <input class="button" type="submit" name="EditButton" value="edit slideshow" />
   {/case}
   {case match=0}
   {/case}
{/switch}

</form>
</div>

    </div>
</div>