{*?template charset=utf-8?*}
{def $current_user=fetch( 'user', 'current_user' )}

{* Default object view template *}
{default with_children=true()
         is_editable=true()
	 is_standalone=true()}
{let page_limit=15
     list_count=and($with_children,fetch('content','list_count',hash(parent_node_id,$node.main_node_id, 'class_filter_type',  'include', 'class_filter_array', array( 'weblog' ),depth_operator,eq)))}

{default content_object=$node.object
         content_version=$node.contentobject_version_object
         node_name=$node.name}

{def $author=fetch( 'content', 'list',
        hash( 'parent_node_id',  $node.main_node_id,
              'class_filter_type',  'include',
              'class_filter_array', array( 'famu_autor' ) ) )}

{* ********* OBRAZKY ********* *}

{if gt( $author|count(), 0)}
{def $pics = fetch('content','list',hash(parent_node_id,$author.0.node_id))}
<div id="slideshow">
			<ul>
{foreach $pics as $pic}
                            <li>{attribute_view_gui attribute=$pic.data_map.image image_class=articlethumbnail}</li>
{/foreach}
			</ul>
</div>
{/if}


{*<table width="626" >
<tr><td width="66%">
{if $pics}
{else}
<h1>{$node.object.data_map.jmeno.content} {$node.object.data_map.prijmeni.content}</h1>                          
    	<p class="box"><strong>*</strong> {$node.object.data_map.narozeni.content} 
&nbsp;&nbsp;{attribute_view_gui attribute=$node.object.data_map.narodnost}</p>
{/if*}

{* /////////////////////////// ZALOZKY //////////////////////////// *}

<br />

        <div id="tab-container" class="flora">
            <ul>
                <li><a href="#fragment-1a"><span>Blog</span></a></li>
                <li><a href="#fragment-1b"><span>Soubory</span></a></li>
                <li><a href="#fragment-2"><span>Bio</span></a></li>
{if gt( $author|count(), 0)}
                <li><a href="#fragment-4"><span>Obsah</span></a></li> 
{/if}
{if $current_user.login|ne('anonymous')}
                <li><a href="#fragment-5"><span>Úpravy</span></a></li>
{/if}
            </ul>



            <div id="fragment-1a">
<table><tr>
<td width="350" valign="top">

<form method="post" action={"content/action"|ezurl}>
<input type="hidden" name="ContentNodeID" value="{$node.main_node_id}" />
<input type="hidden" name="ContentObjectID" value="{$node.object.id}" />
<input type="hidden" name="ViewMode" value="full" />
    <input type="hidden" name="NodeID" value="{$node.main_node_id}" />
    <input type="hidden" name="ClassID" value="23" />
    <input class="button" type="submit" name="NewButton" value="nový příspěvek" />
</form>

{* ////////////////////////////////// BLOG /////////////////////////////////////// *}

{def $children=fetch('content','list',hash(parent_node_id,$node.main_node_id,
sort_by,$node.sort_array, 'class_filter_type',  'include',
              'class_filter_array', array( 'weblog'),
'sort_by', array( 'published', false() ),
limit,$page_limit,offset,$view_parameters.offset,depth_operator,eq))}

{if gt( $children|count(), 0)}

<table class="list" width="100%" cellspacing="0" cellpadding="0" border="0">
{foreach $children as $child}
<tr><td>{node_view_gui view=line content_node=$child}</td></tr>
{/foreach}
</table>

{else}
{if gt( $author|count(), 0)}
                         <div class="block">
{attribute_view_gui attribute=$author.0.object.data_map.prezentace}
                         </div>
{/if}
{/if}

{include name=navigator
         uri='design:navigator/google.tpl'
         page_uri=concat('/content/view','/full/',$node.node_id)
         item_count=$list_count
         view_parameters=$view_parameters
         item_limit=$page_limit}

{undef $children}

{* //////////////////////////////////END BLOG /////////////////////////////////////// *}


</td>
<td width="10">
</td>
<td width="300"  valign="top">
<h1>{$node_name|wash}</h1>
{attribute_view_gui attribute=$node.object.data_map.image alignment=right image_class=medium}

<div class="block">
        <label>semacode</label>
<br />
<div id="semacode.symbol"></div>
</div>
</td>
</tr>
</table>

            </div>
           <div id="fragment-1b">
{* ////////////////////////////////// SOUBORY /////////////////////////////////////// *}

<form method="post" action={"content/action"|ezurl}>
<input type="hidden" name="ContentNodeID" value="{$node.main_node_id}" />
<input type="hidden" name="ContentObjectID" value="{$node.object.id}" />
<input type="hidden" name="ViewMode" value="full" />
    <input type="hidden" name="NodeID" value="{$node.main_node_id}" />
    <input type="hidden" name="ClassID" value="12" />
    <input class="button" type="submit" name="NewButton" value="nový soubor" />
</form>

{def $children=fetch('content','list',hash(parent_node_id,$node.main_node_id,
sort_by,$node.sort_array, 'class_filter_type',  'include',
              'class_filter_array', array( 'file' ), 
'sort_by', array( 'name', true() ), depth_operator,eq))}

<table class="list" width="100%" cellspacing="0" cellpadding="0" border="0">
{foreach $children as $child}
<tr><td>{node_view_gui view=line content_node=$child}</td></tr>
{/foreach}
</table>

{undef $children}

            </div>
            <div id="fragment-2">

{* //////////////////////////////////  USER AUTHOR INFO /////////////////////////////////////// *}

<table><tr>
<td width="350" valign="top">
    
{if gt( $author|count(), 0)}
        <label>Biografická informace</label>
        <p class="block">{attribute_view_gui attribute=$author.0.object.data_map.biografie}</p>
{/if}
<div class="block">
        <label>signatura</label>
{attribute_view_gui attribute=$node.object.data_map.signature}
</div>
<div class="block">
        <label>výzkum</label>
{attribute_view_gui attribute=$node.object.data_map.vyzkum}
</div>
<div class="block">
        <label>výuka/studium</label>
{attribute_view_gui attribute=$node.object.data_map.vyuka}
</div>    

</td>
<td width="10">
</td>
<td width="300"  valign="top">
<h1>{$node_name|wash}</h1>
{attribute_view_gui attribute=$node.object.data_map.image image_class=medium alignment=right}
{section show=$author.0.object.data_map.fotografie.content}
                {attribute_view_gui attribute=$author.0.object.data_map.fotografie image_class=medium alignment=right}
        {/section}

{if $current_user.login|ne('anonymous')}
{*
<label>email</label>
{let email=$node.object.data_map.user_account.content.email|explode( '@' )}
{$email.0} (&#8706;) {$email.1}
{/let*}
<div class="block">
        {if $author.0.object.data_map.email.has_content}        
        <label>E-mail</label>
    	<p class="box">
        {$author.0.object.data_map.email.content|wash( 'email' )}</p>
        {/section}
        {if $author.0.object.data_map.phone.has_content}        
        <label>Telefon</label>
    	<p class="box">
        {$author.0.object.data_map.phone.content}</p>
        {/if}
{if $node.object.data_map.skype.has_content}
<script type="text/javascript" src="http://download.skype.com/share/skypebuttons/js/skypeCheck.js"></script>
<a href="skype:{$node.object.data_map.skype.content}?call"><img src="http://mystatus.skype.com/balloon/{$node.object.data_map.skype.content}" style="border: none;" width="150" height="60" alt="My status" /></a>
{/if}


</div>
{/if}
</td></tr>
</table>

            </div>

{if gt( $author|count(), 0)}
           <div id="fragment-4">
{* /////////////////////////// RELATED FILMS //////////////////////////// *}
        <label  style="text-align:right">Filmografie</label>
    	<p class="box">
{def $objects1=fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $author.0.object.id,
                           'attribute_identifier', 'famu_film/rezie' ) )}
{def $objects2=$objects1|merge( fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $author.0.object.id,
                           'attribute_identifier', 'famu_film/kamera' ) ))}
{def $objects3=$objects2|merge( fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $author.0.object.id,
                           'attribute_identifier', 'famu_film/strih' ) ))}
{def $objects4=$objects3|merge( fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $author.0.object.id,
                           'attribute_identifier', 'famu_film/hudba' )))}
{def $objects5=$objects4|merge( fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $author.0.object.id,
                           'attribute_identifier', 'famu_film/animace' ) ))}
{def $objects6=$objects5|merge( fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $author.0.object.id,
                           'attribute_identifier', 'famu_film/zvuk' ) ))}
{def $objects7=$objects6|merge( fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $author.0.object.id,
                           'attribute_identifier', 'famu_film/scenar' )))}
{foreach $objects7|unique as $object}
   <a href={$object.main_node.url_alias|ezurl}> {$object.name|wash}</a> ({$object.data_map.rok.content})
{delimiter}, {/delimiter}
{/foreach}
</p>

<div class="block">
<label>projekty</label>

{def $objects=fetch( 'content', 'tree',  hash( 'parent_node_id',   161,
              'class_filter_type',  'include',
              'class_filter_array', array( 'project' ), 
              'attribute_filter', array( array( 'owner', '=', $content_object.id ) ) ) )}
{foreach $objects as $object}
   <a href={$object.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}

{def $objects=fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $content_object.id,
                           'attribute_identifier', 'project/collab1' ) )}
{foreach $objects as $object}
   <a href={$object.main_node.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
{def $objects=fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $content_object.id,
                           'attribute_identifier', 'project/collab2' ) )}
{foreach $objects as $object}
   <a href={$object.main_node.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
{def $objects=fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $content_object.id,
                           'attribute_identifier', 'project/collab3' ) )}
{foreach $objects as $object}
   <a href={$object.main_node.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
{def $objects=fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $content_object.id,
                           'attribute_identifier', 'project/collab4' ) )}
{foreach $objects as $object}
   <a href={$object.main_node.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}


</div>

<div class="block">
<label>články</label>

{def $objects=fetch( 'content', 'tree', hash( 'parent_node_id',   100,
              'class_filter_type',  'include',
              'class_filter_array', array( 'article' ), 
              'attribute_filter', array( array( 'owner', '=', $content_object.id ) ) ) )}
{foreach $objects as $object}
   <a href={$object.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
{def $objects=fetch( 'content', 'tree', hash( 'parent_node_id',   179,
              'class_filter_type',  'include',
              'class_filter_array', array( 'article' ), 
              'attribute_filter', array( array( 'owner', '=', $content_object.id ) ) ) )}
{foreach $objects as $object}
   <a href={$object.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
</div>

            </div>
{/if}

{if $current_user.login|ne('anonymous')}
            <div id="fragment-5">
                         <div class="block">

{* ********* TLACITKA ********* *}

{if $node.object.can_create}
<table><tr><td>
<form method="post" action={"content/action"|ezurl}>
<input type="hidden" name="ContentNodeID" value="{$node.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$node.object.id}" />
<input type="hidden" name="ViewMode" value="full" />
   <input class="button" type="submit" name="EditButton" value="změnit uživatelský profil" />
</form>
</td><td>
{if eq( $author|count(), 0)}
<form method="post" action={"content/action"|ezurl}>
<input type="hidden" name="ContentNodeID" value="{$node.main_node_id}" />
<input type="hidden" name="ContentObjectID" value="{$node.object.id}" />
<input type="hidden" name="ViewMode" value="full" />
    <input type="hidden" name="NodeID" value="{$node.main_node_id}" />
    <input type="hidden" name="ClassID" value="27" />
    <input class="button" type="submit" name="NewButton" value="vytvořit autorský profil" />
</form>
{else}
<form method="post" action={"content/action"|ezurl}>
<input type="hidden" name="ContentNodeID" value="{$author.0.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$author.0.object.id}" />
<input type="hidden" name="ViewMode" value="full" />
   <input class="button" type="submit" name="EditButton" value="změnit autorský profil" />
</form>
</td><td>
<form style="margin-left:0px" method="post" action={"content/action"|ezurl}>
<input type="hidden" name="ContentNodeID" value="{$author.0.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$author.0.object.id}" />
<input type="hidden" name="ViewMode" value="full" />
         <input type="hidden" name="NodeID" value="{$author.0.node_id}" />
         <input type="hidden" name="ClassID" value="5" />
         <input class="button" type="submit" name="NewButton" value="přidat obrázek" />
</form>
{/if}
</td></tr></table>
{/if} 
                        <label>Upravit obrázky:</label>
{foreach $pics as $pic}
                            {$pic.name} (<a href={concat("content/edit/",$pic.object.id)|ezurl}><img src={'images/edit10.png'|ezdesign} border="0" alt="EDIT"/></a>) 
{/foreach}
<br />
                        <label>Historie úprav autorského profilu</label>
{def $versions=fetch( 'content', 'version_list', hash( 'contentobject', $author.0.object ) )}
 
{* Loop through all versions and display their names. *}
{foreach $versions as $version}
{$version.version} <a href={$version.creator.main_node.url_alias|ezurl}>{$version.creator.name}</a> {$version.modified|datetime( 'custom', '%h:%i %a %d %F %Y' )}<br />
{/foreach}

                         </div>
            </div>
{/if}
        </div> {* tab container *}


{*
</td>
<td valign="top">
{if $pics}
<h1 style="text-align:right">{$node.object.data_map.jmeno.content} {$node.object.data_map.prijmeni.content}</h1>                          
    	<p class="box" style="text-align:right"><strong>*</strong> {$node.object.data_map.narozeni.content} 
&nbsp;&nbsp;{attribute_view_gui attribute=$node.object.data_map.narodnost}</p>
{else}<h1>&nbsp;</h1>
{/if}
</td></tr>
</table>*}














{* //////////////////////////////////END BLOG /////////////////////////////////////// 



    {let related_objects=$content_version.related_contentobject_array}

      {section name=ContentObject  loop=$related_objects show=$related_objects  sequence=array(bglight,bgdark)}
        <div class="block">
        {content_view_gui view=text_linked content_object=$Object:ContentObject:item}
        </div>
      {/section}
    {/let}
*}






{/default}
{/let}
{/default}
