{*?template charset=utf-8?*}

{* Default object view template *}
{default with_children=true()
         is_editable=true()
	 is_standalone=true()}
{let page_limit=15
     list_count=and($with_children,fetch('content','list_count',hash(parent_node_id,$node.object.main_node_id,depth_operator,eq)))}
{default content_object=$node.object
         content_version=$node.contentobject_version_object
         node_name=$node.name}



{section show=$is_standalone}
<form name="fullview" method="post" action={"content/action"|ezurl}>
<input type="hidden" name="TopLevelNode" value="{$content_object.main_node_id}" />
<input type="hidden" name="ContentNodeID" value="{$node.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$content_object.id}" />
<input type="hidden" name="ViewMode" value="full" />
{/section}


<table><tr>
<td width="350" valign="top">
<h1>{$node_name|wash}</h1>
<b>Shared blog</b>


{* ////////////////////////////////// BLOG /////////////////////////////////////// *}


{section show=$with_children}

{let name=Child
     children=fetch('content','list',hash(parent_node_id,$node.object.main_node_id,sort_by,$node.sort_array,limit,$page_limit,offset,$view_parameters.offset,depth_operator,eq))
     can_remove=false() can_edit=false() can_create=false() can_copy=false()}

{section show=$:children}

<table class="list" width="100%" cellspacing="0" cellpadding="0" border="0">
{section loop=$:children}
<tr>
	<td>
        {node_view_gui view=line content_node=$:item}
	</td>

</tr>
{/section}
</table>

{/section}
{/let}

{include name=navigator
         uri='design:navigator/google.tpl'
         page_uri=concat('/content/view','/full/',$node.node_id)
         item_count=$list_count
         view_parameters=$view_parameters
         item_limit=$page_limit}


{/section}

{* //////////////////////////////////END BLOG /////////////////////////////////////// *}
</td>
<td width="10">
</td>
<td width="300"  valign="top">

{* //////////////////////////////////  USER /////////////////////////////////////// *}

<div class="object">

{attribute_view_gui attribute=$node.object.data_map.image alignment=right image_class=medium}

<div class="block">
<label>Email</label>
{let email=$node.object.data_map.user_account.content.email|explode( '@' )}
{$email.0} (&#8706;) {$email.1}
{/let}
</div>

<div class="block">
        <label>Signature</label>
{attribute_view_gui attribute=$node.object.data_map.signature}
</div>
<div class="block">
        <label>Research</label>
{attribute_view_gui attribute=$node.object.data_map.vyzkum}
</div>
<div class="block">
        <label>Teaching/study</label>
{attribute_view_gui attribute=$node.object.data_map.vyuka}
</div>

</div>

<div class="block">
<label>HK projects</label>

{def $objects=fetch( 'content', 'tree',  hash( 'parent_node_id',   161,
              'class_filter_type',  'include',
              'class_filter_array', array( 'project' ), 
              'attribute_filter', array( array( 'owner', '=', $content_object.id ) ) ) )}
{foreach $objects as $object}
   <a href={$object.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}

{def $objects=fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $content_object.id,
                           'attribute_identifier', 'hk_project/team' ) )}
{foreach $objects as $object}
   <a href={$object.main_node.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
{def $objects=fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $content_object.id,
                           'attribute_identifier', 'project/collab2' ) )}
{foreach $objects as $object}
   <a href={$object.main_node.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
{def $objects=fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $content_object.id,
                           'attribute_identifier', 'project/collab3' ) )}
{foreach $objects as $object}
   <a href={$object.main_node.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
{def $objects=fetch( 'content', 'reverse_related_objects',
                     hash( 'object_id',            $content_object.id,
                           'attribute_identifier', 'project/collab4' ) )}
{foreach $objects as $object}
   <a href={$object.main_node.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}


</div>

<div class="block">
<label>Articles</label>

{def $objects=fetch( 'content', 'tree', hash( 'parent_node_id',   269,
              'class_filter_type',  'include',
              'class_filter_array', array( 'article' ), 
              'attribute_filter', array( array( 'owner', '=', $content_object.id ) ) ) )}
{foreach $objects as $object}
   <a href={$object.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
{def $objects=fetch( 'content', 'tree', hash( 'parent_node_id',   100,
              'class_filter_type',  'include',
              'class_filter_array', array( 'article' ), 
              'attribute_filter', array( array( 'owner', '=', $content_object.id ) ) ) )}
{foreach $objects as $object}
   <a href={$object.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
{def $objects=fetch( 'content', 'tree', hash( 'parent_node_id',   179,
              'class_filter_type',  'include',
              'class_filter_array', array( 'article' ), 
              'attribute_filter', array( array( 'owner', '=', $content_object.id ) ) ) )}
{foreach $objects as $object}
   <a href={$object.url_alias|ezurl}> {$object.name|wash} </a><br />
{/foreach}
</div>




    {let related_objects=$content_version.related_contentobject_array}

      {section name=ContentObject  loop=$related_objects show=$related_objects  sequence=array(bglight,bgdark)}
        <div class="block">
        {content_view_gui view=text_linked content_object=$Object:ContentObject:item}
        </div>
      {/section}
    {/let}

    {section show=$is_standalone}
    {let content_action_list=$content_object.content_action_list}
        {section name=ContentAction loop=$content_action_list show=$content_action_list}
            <div class="block">
                <input type="submit" name="{$ContentAction:item.action}" value="{$ContentAction:item.name|wash}" />
            </div>
        {/section}
    {/let}
    {/section}

</td>
</tr>
</table>

<div class="buttonblock">

{section show=$content_object.can_create}
         <input type="hidden" name="NodeID" value="{$node.object.main_node_id}" />
         <input type="hidden" name="ClassID" value="23" />
         <input class="button" type="submit" name="NewButton" value="add blog entry" />
{/section}

{section show=$is_editable}
   {switch match=$content_object.can_edit}
   {case match=1}
   <input type="hidden" name="ContentObjectID" value="{$content_object.id}" />
   <input class="button" type="submit" name="EditButton" value="change personal info" />
   {/case}
   {case match=0}
   {/case}
   {/switch}
{/section}

</div>


{section show=$is_standalone}
</form>
{/section}

{/default}
{/let}
{/default}



